Contents:
-Requirements
-Install
----Ubuntu
----Native Touch
----Fedora
----Red Hat
----Gentoo
-Uninstall
-Others
----command
----configure files
----driver loaded
----running under 64bit
----SELinux
----Adobe AIR
--------------------------------------

Requirements:
--Ubuntu 10.04 later
--Fedora 13 later(Fedora 19 64bit still not supported)
--Red Hat 6.* later
--Others, kernel >= 2.6.32

    We test our driver kits under GNOME as default.
    For other Linux systems (and other desktop environments, such as KDE), they are still not in our test list at present, and we may not provide technical supports in time for them.

Install:
----Ubuntu:
    1. open terminal: "Applications"->"Accessories"->"Terminal";
    2. in the terminal, change to the "driverkit" firstly;
       generally, "driverkit" is decrypted on the desktop, you can just enter in the terminal: cd ~/Desktop/driverkit
    3. change the install script to be executable: chmod +x install.sh
    4. run the install script: ./install.sh 
       (need to be root, so need to enter the password of current user later);
    5. it's installing, all the files are installed in "/opt/pqlabs"; 
    6. the "Calibration" tool kit can be access in "Applciations/Accessories/MultiTouchPlatform";

----Fedora:
    1. open terminal: "Applications"->"System Tools"->"Terminal";
    2. in the terminal, change to the "driverkit" firstly;
       generally, "driverkit" is decrypted on the desktop, you can just enter in the terminal: cd ~/Desktop/driverkit
    3. change the install script to be executable: chmod +x install.sh
    4. run the install script, enter belows step by step ("$" is the hint of shell, not to enter it): 
      $ su
      $ (enter the password of root)
      $ ./install.sh 
    5. it's installing, all the files are installed in "/opt/pqlabs"; 
    6. the "Calibration" tool kit can be access in "Applciations/Accessories/MultiTouchPlatform";

----Native Touch:
    1. need Ubuntu 14.04 later;
    2. need to restart the X server after installation, to make the multitouch gesture working;
      
----Red Hat:
    Red Hat 5 before Not supported. We've tested that Red Hat 6 is supported.
    similar with Fedora.
    
----Gentoo:
    1. make sure the "gentoo-source" has been installed and the right "usb" driver modules has been gernerated already (or you can run "genkernel" to generate the kernel).
    2. make sure "gnome" or "kde" has been installed.
    3. make sure "sudo" command existed, or please installed it firstly.
    4. make sure "rpm" command can run normally or NOT exist(we'll install it in script).
    5. running install script: follow the above steps of "Ubuntu/Fedora".

--------------------------------------
Uninstall:
    1. open terminal;
    2. change to the "/opt/pqlabs" directory: cd /opt/pqlabs
    3. run the uninstall script: ./uninstall.sh
       need to be root for running the script, "sudo" under Ubuntu, "su" under Fedora;

--------------------------------------
Others:
----command:
    the MultiTouchPlatform will auto running on the user Log in under the graphic environment, sometimes you may want to restart it or running it manually, you can just enter "pqmtplatform" in the terminal;
    the command need the root priviledge: need to be "root"(or other sudoers) under Fedora.

----configure files:
    there are 3 configure files for MultiTouchPlatform: "mtservice.xml", "mtsvrsete.xml", "parsercfg.xml";
    there are installed at "/opt/pqlabs/platform", you can find them there;
    after modifying the configure file, you need to restart the MultiTouchPlatform through "pqmtplatform" in the terminal;

----driver loaded:
    sometimes the "Update Manager" will auto-update the kernel, and then you'll find the touching take no effect any more; 
    you can check whether the driver is loaded/installed correctly by enter below in the "Terminal":
        lsmod | grep pqlabs
    then there should be a line text like "usb_pqlabs ***" appeared in the terminal;
    if there is nothing appeared, you need to reinstall the driver or driverkit;

----running under 64bit:
    the MultiTouchPlatform is 32bit application, if running under 64bit, the 32bit compatibility libraries are needed.
    our install shell script will auto install the needed 32bit libraries, if the auto-install failed, you can have a try with command below.
    Ubuntu 64bit:
        1. install "ia32-libs" firstly (*): sudo apt-get install ia32-libs 
	   if the "ia32-libs" is NOT available, try the command below:
		sudo apt-get install libc6:i386 libstdc++6:i386 libgtk2.0-0:i386 libnss3:i386 libxml2:i386 libxt6:i386 libxslt1.1:i386
        2. install the driver kit and run;
    Fedora/Red Hat:
        1. open the terminal
	2. enter the command below:
		sudo yum install -y glibc*.i686  ld-linux.so.2 gtk2-devel.i686 libdbus-glib-1.so.2 libhal.so.1 rpm-devel.i686 libXt.so.6 gnome-keyring-devel.i686 libDCOP.so.4 libxml2-devel.i686 nss-devel.i686 libxslt.i686 xterm rpm-build libgnome-keyring.i686 --setopt=protected_multilib=false

----SELinux:
    there may come some SELinux Alerts when running the Adobe AIR Applciation. and our UI applciation "MultiTouchPlatform" is developed with AIR. 
    there is a simpe way to avoid the "SELinux Alerts" when running "MultiTouchPlatform":
    1. check whether there is a "libcurl.so" under "/opt/Adobe AIR/Versions/1.0/Resources"(the default path of AIR runtime);
    2. change the security context of the "libcurl.so"; running in terminal: "sudo chcon -t textrel_shlib_t /opt/Adobe AIR/Versions/1.0/Resources/libcurl.so".

----Adobe AIR:
    our calibration UI (MultiTouchPlatform) is developed by Adobe AIR. so we'll install the Adobe AIR Runtime when install our driver kit.
    On Fedora 15, we encounter a problem when install "Adobe AIR Runtime". It says that: ".... RPM tools (rpmbuild) for creating RPM packages were not found on the system".  After we install the rpm build through "yum install rpm-build" in the terminal, the problem resolved.
